[SOLVED] Get write permissions with udisksctl

I'm trying to mount a USB storage device as a normal user via
udisksctl mount --block-device /dev/sdb1
After that I can read its contents under /run/media/me/uuid/
but I am unable to write to it.
How do I gain write access (without sudo)?
Additional information:
* I'm not using a desktop environment (xmonad)
* I don't want the drive to automount
Last edited by Aton (2015-04-23 07:06:09)

lucke wrote:If it's ext4, then whatever permissions you give to files and directories on it should matter.
Thanks for the hint!
In /run/media/me/
chown me uuid
apparently solved the problem.
I left the group ownership at root, any objections to that?
It's primarily going to be used for backups.

Similar Messages

  • [SOLVED] Lost write permissions ~/ directory since migrating to F2FS

    I recently moved my /home directory on to a partition that is formatted with the F2FS file system. Since doing that my regular user can no longer write to the ~/ directory even though the folder permissions look OK.
    So my permissions for my /home/marko directory are:
    drwx------    marko users
    ("marko" owning the directory)
    And  the partition it is located on is formatted with f2fs with  the following mount options in fstab:
    defaults,rw,nofail,noatime
    Last edited by marko2010 (2015-06-01 23:17:24)

    Thanks, I just realized problem is actually due to user error. I'm so used to my usual shell starting me in my  user directory that I did not realize the new shell I was using was actually starting me in the "/" directory (as a regular user). I'll mark this "solved," and my apologies for the wild goose chase.

  • [Solved]Getting different results with PKGBUILD and compiling manually

    Hi,
    When I compile this one package manually and install it, it works 100% however when I try it in a PKGBUILD the compile fails.
    Here is the PKGBUILD I have so far (still working on it)
    pkgname=smtp-gated
    pkgver=1.4.16.2
    pkgrel=1
    pkgdesc="This software block SMTP sessions used by e-mail worms and viruses on the NA(P)T router. It acts like proxy, intercepting outgoing SMTP connections and scanning session data on-the-fly. When messages is infected, the SMTP session is terminated. It's to be used (mostly) by ISPs, so they can eliminate infected hosts from their network, and (preferably) educate their users."
    url="http://smtp-proxy.klolik.org/"
    license="GNU"
    arch=('i686' 'x86_64')
    #depends=('')
    #install=smtp-gated.install
    source=("$url/files/$pkgname-$pkgver.tar.gz")
    md5sums=('3857d03c847efd89b052acaeffaa453b')
    build() {
    cd $startdir/src/$pkgname-$pkgver || return 1
    msg CONFIGURE
    #./configure --prefix=/usr || return 1
    ./configure || return 1
    msg MAKE
    make || return 1
    msg INSTALL
    make install INSTALL_ROOT=$startdir/pkg/ || return 1
    And the compile error when I run "makepkg"
    ==> MAKE
    make all-recursive
    make[1]: Entering directory `/root/ABS_snmp-gated/src/smtp-gated-1.4.16.2'
    Making all in src
    make[2]: Entering directory `/root/ABS_snmp-gated/src/smtp-gated-1.4.16.2/src'
    if gcc -DHAVE_CONFIG_H -I. -I. -I.. -DMD5_TEST -march=x86-64 -mtune=generic -O2 -pipe -Wall -MT md5_test-md5.o -MD -MP -MF ".deps/md5_test-md5.Tpo" -c -o md5_test-md5.o `test -f 'md5.c' || echo './'`md5.c; \
    then mv -f ".deps/md5_test-md5.Tpo" ".deps/md5_test-md5.Po"; else rm -f ".deps/md5_test-md5.Tpo"; exit 1; fi
    gcc -march=x86-64 -mtune=generic -O2 -pipe -Wall -Wl,--hash-style=gnu -Wl,--as-needed -o md5-test md5_test-md5.o
    if gcc -DHAVE_CONFIG_H -I. -I. -I.. -march=x86-64 -mtune=generic -O2 -pipe -Wall -MT regex-test.o -MD -MP -MF ".deps/regex-test.Tpo" -c -o regex-test.o regex-test.c; \
    then mv -f ".deps/regex-test.Tpo" ".deps/regex-test.Po"; else rm -f ".deps/regex-test.Tpo"; exit 1; fi
    gcc -march=x86-64 -mtune=generic -O2 -pipe -Wall -Wl,--hash-style=gnu -Wl,--as-needed -o regex-test -lpcre regex-test.o
    regex-test.o: In function `main':
    regex-test.c:(.text+0xc): undefined reference to `pcre_version'
    regex-test.c:(.text+0x3c): undefined reference to `pcre_compile'
    regex-test.c:(.text+0x71): undefined reference to `pcre_exec'
    regex-test.c:(.text+0x88): undefined reference to `pcre_free'
    collect2: ld returned 1 exit status
    make[2]: *** [regex-test] Error 1
    make[2]: Leaving directory `/root/ABS_snmp-gated/src/smtp-gated-1.4.16.2/src'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/root/ABS_snmp-gated/src/smtp-gated-1.4.16.2'
    make: *** [all] Error 2
    Any pointers or help would be greatly appreciated.
    Last edited by Tinuva (2010-01-27 11:55:41)

    Alright not sure if this is up to standard to go into AUR but this is what I have for now:
    PKGBUILD:
    pkgname=smtp-gated
    pkgver=1.4.16.2
    pkgrel=1
    pkgdesc="This software block SMTP sessions used by e-mail worms and viruses on the NA(P)T router. It acts like proxy, intercepting outgoing SMTP connections and scanning session data on-the-fly. When messages is infected, the SMTP session is terminated. It's to be used (mostly) by ISPs, so they can eliminate infected hosts from their network, and (preferably) educate their users."
    url="http://smtp-proxy.klolik.org/"
    license="GNU"
    arch=('i686' 'x86_64')
    #depends=('')
    install=smtp-gated.install
    source=("$url/files/$pkgname-$pkgver.tar.gz")
    md5sums=('3857d03c847efd89b052acaeffaa453b')
    build() {
    cd $startdir/src/$pkgname-$pkgver || return 1
    msg CONFIGURE
    export LDFLAGS="${LDFLAGS//-Wl,--as-needed}"
    ./configure --prefix=/usr || return 1
    msg MAKE
    make || return 1
    msg INSTALL
    make install INSTALL_ROOT=$startdir/pkg/ || return 1
    install -D -m755 ../../smtp-gated ${startdir}/pkg/etc/rc.d/smtp-gated || return 1
    install -D -m644 ../../smtp-gated.conf ${startdir}/pkg/etc/smtp-gated.conf || return 1
    smtp-gated.install
    # arg 1: the new package version
    post_install() {
    mkdir /var/run/smtp-gated
    mkdir /var/spool/smtp-gated
    mkdir /var/spool/smtp-gated/msg
    chown mail.mail /var/run/smtp-gated
    chown mail.mail /var/spool/smtp-gated -R
    echo "
    SMTP-GATED Instructions:
    After installing SMTP-GATED you need to edit smtp-gated.ini
    Good luck!
    /bin/true
    op=$1
    shift
    $op $*
    smtp-gated that goes into /etc/rc.d/
    #!/bin/bash
    . /etc/rc.conf
    . /etc/rc.d/functions
    # source application-specific settings
    [ -f /etc/conf.d/$NAME ] && . /etc/conf.d/$NAME
    # PATH should only include /usr/* if it runs after the mountnfs.sh script
    PATH=/usr/sbin:/usr/bin:/sbin:/bin
    DESC="SMTP Proxy"
    NAME=smtp-gated
    DAEMON=/usr/sbin/$NAME
    CONFIG=/etc/$NAME.conf
    DAEMON_ARGS="$CONFIG"
    PID=/var/run/$NAME/$NAME.pid
    SCRIPTNAME=/etc/rc.d/$NAME
    # Exit if the package is not installed
    [ -x "$DAEMON" ] || exit 0
    # Read configuration variable file if it is present
    [ -f /etc/conf.d/$NAME ] && . /etc/conf.d/$NAME
    case "$1" in
    start)
    stat_busy "Starting $NAME"
    #[ -z "$PID" ] && $DAEMON $DAEMON_ARGS
    $DAEMON $DAEMON_ARGS &>/dev/null
    if [ $? -gt 0 ]; then
    stat_fail
    else
    add_daemon $NAME
    stat_done
    fi
    stop)
    stat_busy "Stopping $NAME"
    #[ -n "$PID" ] && kill $PID &> /dev/null
    smtp-gated -K &> /dev/null
    if [ $? -gt 0 ]; then
    stat_fail
    else
    rm_daemon $NAME
    stat_done
    fi
    restart)
    $0 stop
    # will not start if not fully stopped, so sleep
    sleep 2
    $0 start
    echo "usage: $0 {start|stop|restart}"
    esac
    smtp-gated.conf that goes into /etc
    # Virus scanning: yes
    # SPAM scanning: yes
    #proxy_name smtp-proxy.mydomain.com
    port 9199
    ; bind_address 192.168.1.254
    ; source_addr 0.0.0.0
    mode netfilter
    ; action_script /etc/smtp-gated-action.sh
    lock_duration 1800
    lock_path /var/spool/smtp-gated/lock
    spool_path /var/spool/smtp-gated/msg
    spool_perm 0660
    pidfile /var/run/smtp-gated/smtp-gated.pid
    ;dumpfile /var/run/smtp-gated/smtp-state-dump
    set_user mail
    priority 5
    lock_on virus,spam,maxhost
    max_connections 64
    max_per_host 10
    ;max_per_ident 6
    ;max_load 3.0
    ignore_errors yes
    spool_leave_on error,spam
    nat_header_type ip-only
    ; abuse [email protected]
    log_helo yes
    log_mail_from accepted,rejected
    log_rcpt_to accepted,rejected
    ; locale pl_PL
    ;scan_max_size 1048576
    ;spam_max_size 0
    spam_max_size 131072
    ;spam_max_load 0.5
    spam_threshold 5.0
    ; scanner_path
    antivirus_type clamd
    antivirus_path /var/lib/clamav/clamd.sock
    antispam_type spamassassin
    antispam_path /var/run/spamd.sock
    Last edited by Tinuva (2010-01-27 12:13:03)

  • Lightroom 4 crashes when trying to open the slideshow module. I spent over three hours with both Adobe and Apple tech support and we know it is a permission issue but have not been able to get it solved.  It started with the last upgrade to 10.8

    Lightroom 4 crashes when trying to open the slideshow module. I spent over three hours with both Adobe and Apple tech support and we know it is a permission issue but have not been able to get it solved.  It started with the last upgrade to 10.8

    Back up all data.
    This procedure will unlock all your user files (not system files) and reset their ownership and access-control lists to the default. If you've set special values for those attributes on any of your files, they will be reverted. In that case, either stop here, or be prepared to recreate the settings if necessary. Do so only after verifying that those settings didn't cause the problem. If none of this is meaningful to you, you don't need to worry about it.
    Step 1
    If you have more than one user account, and the one in question is not an administrator account, then temporarily promote it to administrator status in the Users & Groups preference pane. To do that, unlock the preference pane using the credentials of an administrator, check the box marked Allow user to administer this computer, then reboot. You can demote the problem account back to standard status when this step has been completed.
    Triple-click the following line to select it. Copy the selected text to the Clipboard (command-C):
    { sudo chflags -R nouchg,nouappnd ~ $TMPDIR.. ; sudo chown -Rh $UID:staff ~ $_ ; sudo chmod -R u+rwX ~ $_ ; chmod -R -N ~ $_ ; } 2> /dev/null
    Launch the Terminal application in any of the following ways:
    ☞ Enter the first few letters of its name into a Spotlight search. Select it in the results (it should be at the top.)
    ☞ In the Finder, select Go ▹ Utilities from the menu bar, or press the key combination shift-command-U. The application is in the folder that opens.
    ☞ Open LaunchPad. Click Utilities, then Terminal in the icon grid.
    Paste into the Terminal window (command-V). You'll be prompted for your login password, which won't be displayed when you type it. You may get a one-time warning not to screw up. If you don’t have a login password, you’ll need to set one before you can run the command. If you see a message that your username "is not in the sudoers file," then you're not logged in as an administrator.
    The command will take a noticeable amount of time to run. Wait for a new line ending in a dollar sign (“$”) to appear, then quit Terminal.
    Step 2 (optional)
    The first step should give you usable permissions in your home folder. This step will restore special attributes set by OS X on some user folders to protect them from unintended deletion or renaming. You can skip this step if you don't consider that protection to be necessary.
    Boot into Recovery by holding down the key combination command-R at startup. Release the keys when you see a gray screen with a spinning dial.
    When the OS X Utilities screen appears, select
    Utilities ▹ Terminal
    from the menu bar. A Terminal window will open.
    In the Terminal window, type this:
    resetpassword
    That's one word, all lower case, with no spaces. Then press return. A Reset Password window will open. You’re not  going to reset a password.
    Select your boot volume ("Macintosh HD," unless you gave it a different name) if not already selected.
    Select your username from the menu labeled Select the user account if not already selected.
    Under Reset Home Directory Permissions and ACLs, click the Reset button.
    Select
     ▹ Restart
    from the menu bar.

  • Error -61 with FTP Write permissions error; Not a publisher

    Hi,
    I am trying to use Safari to FTP with my schools server (FreeBSD) but when I try to delete something I get error -61 which is FTP Write permissions error; Not a publisher. When I select "Get Info" I see the permissions say "You can only read". How can I fix this?

    Hi Rob
    so far as I know, Safari and/or Finder can only read from ftp sites - hence the response you are seeing.
    I've used http://cyberduck.ch/ for a few years - there are many other free/sharewware ftp clients

  • The movie could not be exported because an error occurred. (File already open with with write permis

    The movie could not be exported because an error occurred. (File already open with with write permis
    Never received this error until I updated to newer operating system.

    This sounds vaguely like the Error -49 some people have been getting. It's related to a feature in Time Machine geared towards laptop users who aren't always connected to their Time Machine backup drive.
    This requires using the Terminal app, in your Applications/Utilities folder
    To turn off Time Machine snapshots type in the following command:
    sudo tmutil disablelocal
    The Mac will likely ask for your password, so type it in and hit the return key. The type the word, exit and hit return. Quit Terminal.
    Open iMovie and try doing another export and see if the same error message pops up.

  • Updted to newest version get pop-up..the folder is on a locked disc you do not have write permissions. windows xp w sp3

    I've seen replies for this problem with windows 7 and Mac but not with xp. any help would be greatly appreciated. thanks. ps not that computer savvy. would apprecicate if you can give step by step if at all possible.

    check if you have read & write permissions for your music folder. in finder, right-click on it and +get info+. unlock the little padlock (you may have to enter your admin password) and change the permission settings. next, click on the little gear-shaped icon and +apply to enclosed items+ like so
    you may also give everyone read & write access.
    the important part is to *apply to enclosed items* !
    JGG

  • HT1349 I am getting an error message when I try to open itunes on my desktop computer: "the folder "itunes" is on a locked disk or you do not have write permissions for this folder"...any ideas?

    I am getting an error message on my desktop when I try to open itunes: "the folder "itunes" is on a locked disk or you do not have write permissions for this folder"...Any idea what  I need to do to correct?

    Hi lvdmerwe!
    I have two articles here for you that should be able to help you troubleshoot this issue further:
    Trouble adding music to iTunes library or importing audio CD
    http://support.apple.com/kb/ts1387
    iTunes: Missing folder or incorrect permissions may prevent authorization
    http://support.apple.com/kb/ts1277
    Take care, and thanks for visiting the Apple Support Communities.
    -Braden

  • When i open itunes, it gives me a message "the folder itunes is on a locked disk or you do not have write permissions for this folder" i am the only user and it was working a week ago whats wrong with it? it will not open itunes

    when i open itunes, it gives me a message "the folder itunes is on a locked disk or you do not have write permissions for this folder" i am the only user and it was working a week ago whats wrong with it? it will not open itunes

    Hi lvdmerwe!
    I have two articles here for you that should be able to help you troubleshoot this issue further:
    Trouble adding music to iTunes library or importing audio CD
    http://support.apple.com/kb/ts1387
    iTunes: Missing folder or incorrect permissions may prevent authorization
    http://support.apple.com/kb/ts1277
    Take care, and thanks for visiting the Apple Support Communities.
    -Braden

  • Just wanted to make sure I had the most up to date version of ITunes on my desktop first.  Tried to get on site, and got an error message saying; The folder ITunes is on a locked disk or you do not have write permissions for this folder.  Help!

    Wanted to sync up my new IPhone4, and thought that I should make sure I had the most up to date version of ITunes on my desktop first.  Tried to get on site, and got an error message saying; "The folder ITunes is on a locked disk or you do not have write permissions for this folder."   Cannot get on ITunes at all now.  Help!  Thx.

    In my case its a new computer the old one was stolen and the time machine disk did not work for a restore but did for copying the info to the new mac

  • I mounted my external hard drive to a pc and now I don't have edit or write permissions on my Mac (read only). How do I get them back without erasing the drive?

    Hello all, I am a photographer and have my portfolio, edited and raw images backed up on a Seagate Free Agent External Hardrive. I mounted my external hard drive to a pc recently and now I don't have edit or write permissions to it on my Mac (read only). How do I get them back without erasing the drive and loosing my valuable work?

    If you re-format it you will lose all the data on it!!!!! So make sure you have backed up the drive or moved all the data on it to another external HD or the internal HD on your iMac.
    Below is an Apple Advice letter that explains how to format an external HD, it's written for Aperture but you can use the instructions to formate any external HD.
    http://support.apple.com/kb/HT3509

  • Can't install on windows 7 get message - the folder is on a locked disk or you do not have write permissions for this folder

    Have tried to install Itunes on laptop running 32 bit Windows 7 - it says it installed successfully but then when I click to open I get the message "the folder is on a locked disk or you do not have write permissions for this folder."

    You will have to descripe where the drive is and much more.
    Then go and look at the drive and folder and who has group ownership policy and more.
    It would have to be a guess, plus "20 questions" but why post here? when there are Snow Leopard, iMac, and of course, iTunes, Community forums.
    https://discussions.apple.com/community/itunes
    http://www.apple.com/support/itunes
    But this is not iTunes, it is a workstation community

  • I need to copy a file over to my mac from a CD but it won't let me due to read write permissions. is it possible to get around this?

    i need to copy a file over to my mac from a CD but it won't let me due to read write permissions. does anyone know of a way to get around this?
    any assistance will be much appreciated

    i need to copy a file over to my mac from a CD but it won't let me due to read write permissions. does anyone know of a way to get around this?
    any assistance will be much appreciated

  • I'm getting a msg saying the folder "itunes" is on a locked disk or you do not have write permissions for this folder? What's going on? Won't sync when i plug in ipod shuffle or touch

    I'm getting a msg saying the folder "itunes" is on a locked disk or you do not have write permissions for this folder? What's going on? Won't sync when i plug in ipod shuffle or touch.

    Post this in the iTunes forum as it does not pertain to an iPod Shuffle.
    https://discussions.apple.com/community/itunes
    B-rock

  • When trying to open itunes i'm receiving a message stating "this folder is on a locked disk or you do not have write permissions"  Any idea what I need to do to get it working.  The issue happened after I installed DJ Software

    When trying to open itunes i'm receiving a message stating "this folder is on a locked disk or you do not have write permissions"  Any idea what I need to do to get it working.  The issue happened after I installed DJ Software

    Read the part about changing permissions on the iTunes folder in: https://discussions.apple.com/message/11583914

Maybe you are looking for

  • How to make collective purchase order from planorder generated from MRP

    Hi Experts, I have 2 queries are 1) Is there any option to create collective Purchase order or Purchase requisition from Plan order generated from MRP ? for e.g one packaging material is use in different finish goods products when we run MRP on all f

  • Amount to credit greater than credit balance - goods return to AP Cred Note

    Hi All, I've got the following scenario: We have a AP Goods Return on the system which totals £12.94 with freight charges of -£3.75. We have copied this to a AP Credit Note, but have amended the freight from -£3.75 to -£3.00(UK VAT Rate 15% applicabl

  • Displaying xml content in the browser

    Hi, In my application i am generating an XML content which i was storing into a file. Now as per the new requirement, this xml content needs to be displayed in the browser. (The way it gets displayed when we double click on an xml file). Can some one

  • DrillDown in Pivot Table - answer

    How can I have a column title drill down in a pivot table? When you create a regular table the user can do a Drill down by clicking the column title or a particular element.. when he click over the column title he get a drill down for all the element

  • No messages in moni but in Idx5

    Hi experts, we have file to idoc scenario and once file has been updated idoc has to be generated in ECC. But now i cant see any of messages related to this interface in moni from last one year in production. When i try to see in Idx5 i can see messa